#pragma once

#include "message_bus/pipeline/PipelineContext.h"

namespace softbus::message_bus::pipeline::stages::filters
{

class IFilterStage
{
public:
    virtual ~IFilterStage() = default;
    virtual bool apply(softbus::message_bus::pipeline::PipelineContext& ctx) = 0;
};

} // namespace softbus::message_bus::pipeline::stages::filters
